Package org.eclipse.cdt.core.build

# Interface IToolChainProvider

All Known Subinterfaces:
  `IUserToolChainProvider`

public interface IToolChainProvider
A provider of toolchains. Registered with the toolChainProvider extension point.

Since:
  6.0

## Method Summary

Modifier and Type
Method
Description
`String`
`getId()`
Returns the id for this provider.
`default IToolChain`
`getToolChain(String id, String version)`
Deprecated.
providers do not manage toolchains, call IToolManager.getToolChain() instead.
`default void`
`init(IToolChainManager manager)`
Initialize the list of toolchains.

## Method Details

### getId

String getId()
Returns the id for this provider.

Returns:
  id

### init

default void init(IToolChainManager manager) throws org.eclipse.core.runtime.CoreException
Initialize the list of toolchains.

Parameters:
  `manager` - handle on manager to add or remove them
Throws:
  `org.eclipse.core.runtime.CoreException`

### getToolChain

@Deprecated default IToolChain getToolChain(String id, String version) throws org.eclipse.core.runtime.CoreException
Deprecated.
providers do not manage toolchains, call IToolManager.getToolChain() instead.
Called by the manager to dynamically create the toolchain.

Parameters:
  `id` - the id of the toolchain
  `version` - the version of the toolchain
Returns:
  the toolchain initialized with the settings.
Throws:
  `org.eclipse.core.runtime.CoreException`